package cn.reghao.tnb.oss.api.iface;

import cn.reghao.tnb.oss.api.dto.NodeProperties;
import cn.reghao.tnb.oss.api.dto.ObjectChannel;
import cn.reghao.tnb.oss.api.dto.ServerInfo;
import cn.reghao.tnb.oss.api.dto.StoreNodeDto;

/**
 * 获取由 oss-console 管理的 StoreNode 配置
 * 由 oss-console 实现, oss-store 调用
 *
 * @author reghao
 * @date 2024-07-02 10:55:56
 */
public interface ConsoleService {
    void registerNode(StoreNodeDto storeNodeDto);
    NodeProperties getNodeProperties(String domain);
    ObjectChannel getChannelByCode(int owner, int channelCode);
    Integer getChannelCodeByUrl(int owner, String url);
    /**
     * 本方法由 oss-console 本地调用, oss-store 不会使用
     *
     * @param
     * @return
     * @date 2025-08-16 23:08:330
     */
    ServerInfo getUploadStore(int channelCode);
}
